Bug 508112 - Nautilus doesn't remember window position or size
Nautilus doesn't remember window position or size
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 13:02 EDT by Dennis Jacobfeuerborn
Modified: 2015-03-03 17:40 EST (History)
11 users (show)

See Also:
Fixed In Version: nautilus-2.30.1-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 22:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 586585 None None None Never

  None (edit)
Description Dennis Jacobfeuerborn 2009-06-25 13:02:29 EDT
After installing Fedora 11 nautilus now always open in the top left corner with
a default size. This only happens when the "always open in browser windows"
option is selected. In Fedora 10 nautilus remembered window size and position.

[dennis@nexus ~]$ rpm -q nautilus
nautilus-2.26.3-1.fc11.x86_64
Comment 1 Kamil Páral 2009-08-24 08:22:57 EDT
The same problem here: nautilus-2.26.3-2.fc11.x86_64, Fedora 11.
Works correctly with Nautilus 2.26.1 in Ubuntu 9.04.
Comment 2 Leonidas Georgopoulos 2009-10-01 11:05:16 EDT
same here nautilus.i586                                 2.26.4-2.fc11
Comment 3 Michael Monreal 2009-10-19 03:26:09 EDT
And it is still happening on Rawhide with nautilus-2.28.0-3.fc12.i686. This is probably a really simple thing but totally gets into my daily work :(

Up until this weekend I actually built my own GNOME from source so I already used upstream GNOME 2.28 and I have not experienced the same problem with this, so this has to be Fedora specific.
Comment 4 35472742437j275u27u27k2 2009-11-14 07:38:15 EST
This problem is also present in Fedora 12 beta.
Comment 5 Leonidas Georgopoulos 2009-11-15 12:57:20 EST
I do not see why this cannot be fixed. This information is available easily. Even xwininfo returns this. Unfortunately I do not have the time to dig in nautilus code to do it. 

Nobody seems to follow this bug. In more info required or what?

Thanks
Comment 6 Peeter Puusemp 2009-11-16 07:02:42 EST
I found this workaround:

> The Problem was, that the gconf-key /apps/nautilus/preferences/navigation_window_saved_geometry was missing.
> 
> So create a new one (type: string) with an inital value of e.g. > "600x400+100+100". When Nautilus is closed for the next time it saves its position and size in this key.

Source: http://bbs.archlinux.org/viewtopic.php?pid=605621#p605621
Comment 7 Kamil Páral 2009-11-16 07:13:04 EST
Peeter, you're a life-saver! :)

So it seems this key is missing in system key definitions. This could be very easy to fix.
Comment 8 Leonidas Georgopoulos 2009-11-16 07:48:59 EST
Almost there. This does not remember the window size for different folders. I.e. if I launch computer or home or a link that I had made on the desktop returns the same position and size for all. The default behaviour in f10 was to remember the window size for each different source. I.e. if I start computer,downlaods link, or network I would get different sizes and positions. 

Still an improvement, thanks Peeter.
Comment 9 Tomasz Sałaciński 2009-12-02 07:50:49 EST
This still occurs in Fedora 12, but workaround posted by Peeter Puusemp worked for me perfectly.
Comment 10 Benjamín Valero Espinosa 2009-12-09 19:38:05 EST
Worked for me too.
Comment 11 Maxwell Spangler 2009-12-15 02:46:02 EST
For those googling a quick solution to this problem, you may copy and paste this command.

gconftool-2 \
   --set "/apps/nautilus/preferences/navigation_window_saved_geometry" \
   --type string "800x600+0+0"

Executed this from my personal user (non-root) account which I assume set it in m local gconf database and it appears to work.

Cheers,
Comment 12 Bug Zapper 2010-04-27 11:15:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Kamil Páral 2010-04-27 11:56:55 EDT
This issue is still present even in Fedora 13.
Comment 14 Jihed Amine 2010-07-20 12:43:40 EDT
The Problem is that the gconf-key /apps/nautilus/preferences/navigation_window_saved_geometry  was missing.

So create a new one (type: string) with an inital value of e.g. "600x400+100+100". When Nautilus is closed for the next time it saves its position and size in this key.
Comment 15 Kamil Páral 2010-07-21 04:16:12 EDT
It seems this problem has been fixed upstream.
Comment 16 Fedora Update System 2010-07-21 08:54:55 EDT
nautilus-2.30.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nautilus-2.30.1-4.fc13
Comment 17 Fedora Update System 2010-07-21 10:25:22 EDT
nautilus-2.30.1-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nautilus-2.30.1-5.fc13
Comment 18 Fedora Update System 2010-07-22 22:32:25 EDT
nautilus-2.30.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nautilus-2.30.1-4.fc13
Comment 19 Fedora Update System 2010-07-22 22:38:35 EDT
nautilus-2.30.1-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nautilus-2.30.1-5.fc13
Comment 20 Fedora Update System 2010-07-23 10:14:52 EDT
nautilus-2.30.1-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nautilus-2.30.1-6.fc13
Comment 21 Fedora Update System 2010-07-26 22:42:51 EDT
nautilus-2.30.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-08-02 20:59:21 EDT
nautilus-2.30.1-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.